<?xml version="1.0"?>
<PropertyList>


 <name>Tu-144D-debug</name>
 <layout>vbox</layout>


 <group>
  <layout>hbox</layout>
  <text>
   <label>Tu-144D Debug</label>
  </text>
  <empty>
   <stretch>true</stretch>
  </empty>
  <button>
   <legend/>
   <pref-width>16</pref-width>
   <pref-height>16</pref-height>
   <border>2</border>
   <binding>
    <command>dialog-close</command>
   </binding>
   <key>Esc</key>
  </button>
 </group>
 <hrule/>


 <button>
  <halign>right</halign>
  <legend>Dump property tree</legend>
  <binding>
   <command>nasal</command>
   <script>
    var fg_home = getprop("sim/fg-home");
    if(fg_home != nil){
     var path = fg_home ~ "/state/Tu-144D-properties-dump.xml";
     if(io.write_properties(path, "/")){
      var msg = "Property tree written to " ~ path;
      gui.popupTip(msg);
      print(msg);
     }
    }
   </script>
  </binding>
 </button>


</PropertyList>
